# $Revision: 1.25 $, $Date: 2007/10/16 15:19:09 $
Summary:	Eudora Poppassd modified to support PAM
Summary(pl.UTF-8):	Zmodyfikowany Poppasswd Eudory z obsługą PAM
Name:		poppassd
Version:	1.8.5
Release:	2
License:	BSD
Group:		Applications/System
#Source0Download: http://echelon.pl/pubs/poppassd.html
Source0:	http://echelon.pl/pubs/%{name}-%{version}.tar.gz
# Source0-md5:	502caa0c9e39d769040c7295d55a53d6
Source1:	%{name}.inetd
Source2:	%{name}.pam
Patch0:		%{name}-DESTDIR.patch
URL:		http://echelon.pl/pubs/poppassd.html
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	rc-inetd
Obsoletes:	poppassd_pam
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Poppassd-ceti is a Qualcomm password changer daemon with PAM support
and several other improvements. This program is intended to be a
secure way to change system passwords via the Web. Methods that
involve calling SUID programs directly from the Web are especially
avoided. Poppassd strictly isolates the Web interface from actual
password manipulations. The program contains no known security bugs
that could be reported since it was released several years ago. This
version uses PAM, which means you can do anything PAM can. Currently,
there are PAM modules for almost all known authentication methods
available.

%description -l pl.UTF-8
Poppassd-ceti to pochodzący z Qualcomm demon zmieniający hasła z
dodaną obsługą PAM i kilkoma innymi rozszerzeniami. Program ten ma
udostępnić bezpieczny sposób zmiany haseł poprzez WWW. Szczególnie
unika się metod, w których programy SUID wywołuje się bezpośrednio z
serwera WWW. Poppassd ściśle oddziela interfejs WWW od właściwego
manipulowania na hasłach. Program nie zawiera znanych błędów
związanych z bezpieczeństwem, które mogłyby zostać zgłoszone od czasu
udostępnienia programu kilka lat temu. Ta wersja używa PAM, co
oznacza, że używając jej można zrobić wszystko, co może PAM. Aktualnie
są dostępne moduły PAM do prawie wszystkich znanych metod
uwierzytelnienia.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,pam.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload
echo "You have to tune your /etc/tcpd/hosts.allow and /etc/tcpd/hosts.deny"
echo "to deny access from non-localhost - put there:"
echo "poppassd: http@localhost: allow"
echo "poppassd: ALL: deny"

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/poppassd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poppassd.spec,v $
Revision 1.25  2007/10/16 15:19:09  baggins
- rel 2

Revision 1.24  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.22  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.21  2005/11/07 07:01:49  qboosh
- updated URLs

Revision 1.20  2005/10/12 08:36:55  darekr
- PreReq->Requires

Revision 1.19  2005/10/09 20:52:55  paszczus
- updated Source0 and URL

Revision 1.18  2005/09/13 08:18:19  qboosh
- verify() flags for configs

Revision 1.17  2005/05/12 17:08:39  darekr
- quote CC

Revision 1.16  2005/01/17 11:40:43  blues
- 1.8.5 - removed outdated stdarg.h.patch - included in sources.

Revision 1.15  2004/11/06 09:55:42  blues
- modify banner

Revision 1.14  2004/09/30 22:08:57  blues
- release 3 - Obsolete for poppassd_pam

Revision 1.13  2004/03/26 17:30:36  twittner
- added -stdarg.h.patch (varargs.h -> stdarg.h)

Revision 1.12  2004/03/25 23:51:14  blues
- release 2 for AC

Revision 1.11  2004/03/25 23:48:15  blues
- 1.8.4 - works fine

Revision 1.10  2003/08/05 07:54:35  qboosh
- cosmetics in message

Revision 1.9  2003/08/04 20:14:53  blues
- closes #704 - fixed %post message

Revision 1.8  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/23 07:00:22  blues
- release 3 - use md5 encryption, better post description

Revision 1.5  2003/04/17 01:41:57  kloczek
- cosmetics.

Revision 1.4  2003/04/13 13:51:42  blues
- release 2 - added pam file (make it work now) by Stacho Pal
  <stacho@venco.com.pl>

Revision 1.3  2003/03/03 22:19:08  misi3k
- updated to 1.8.3

Revision 1.2  2003/01/19 22:20:16  qboosh
- pl description

Revision 1.1  2003/01/15 13:32:26  blues
- initial release - this is needed by change_pass plugin in squirrellmail,
  which is now included (and useless) - STBR to Ra updates general (fixes
  to squirrellmail soon)
